/*
 * Copyright (c) 2019, The Linux Foundation. All rights reserved.
 *
 * Permission to use, copy, modify, and/or distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef __MSMHWIOREG_H__
#define __MSMHWIOREG_H__
/*
===========================================================================
*/
/**
  @file msmhwioreg.h
  @brief Auto-generated HWIO interface include file.

  This file contains HWIO register definitions for the following bases:
    .*

  'Include' filters applied: <none>
  'Exclude' filters applied: RESERVED 

  Attribute definitions for the HWIO_*_ATTR macros are as follows:
    0x0: Command register
    0x1: Read-Only
    0x2: Write-Only
    0x3: Read/Write
*/
/*
  ===========================================================================


  ===========================================================================
*/

#include "msmhwiobase.h"

/*----------------------------------------------------------------------------
 * MODULE: CE_CE_COMMON_WFSS_CE_COMMON_REG
 *--------------------------------------------------------------------------*/

#define CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE                                                                    (CE_WFSS_CE_REG_BASE      + 0x00018000)

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_ADDR                                                   (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000000)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_RMSK                                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_POR                                                    0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_POR_RMSK                                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_ATTR                                                          0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_VALUE_BMSK                                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_LOWER_VALUE_SHFT                                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_ADDR                                                   (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000004)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_RMSK                                                         0xff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_POR                                                    0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_POR_RMSK                                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_ATTR                                                          0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_VALUE_BMSK                                                   0xff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TESTBUS_UPPER_VALUE_SHFT                                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_ADDR                                                  (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000008)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_RMSK                                                       0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_POR                                                   0x00000211
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_POR_RMSK                                              0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_ATTR                                                         0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_SM_STATE_RD_ADDR_BMSK                                      0xe00
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_SM_STATE_RD_ADDR_SHFT                                        0x9
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_SM_STATE_WR_ADDR_BMSK                                      0x1f0
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_SM_STATE_WR_ADDR_SHFT                                        0x4
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_SM_STATE_WR_DATA_BMSK                                        0xf
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SM_STATES_IX_0_SM_STATE_WR_DATA_SHFT                                        0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_ADDR                                               (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000000c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_RMSK                                                      0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_POR                                                0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_POR_RMSK                                           0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_ATTR                                                      0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_END_OF_TEST_SELF_CHECK_BMSK                               0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_END_OF_TEST_CHECK_END_OF_TEST_SELF_CHECK_SHFT                               0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_ADDR                                              (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000010)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_RMSK                                              0x80000fff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_POR                                               0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_POR_RMSK                                          0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_ATTR                                                     0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_CLOCK_GATE_EXTEND_BMSK                            0x80000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_CLOCK_GATE_EXTEND_SHFT                                  0x1f
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_SPARE_BMSK                                             0x800
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_SPARE_SHFT                                               0xb
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WDOG_CTR_BMSK                                          0x400
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WDOG_CTR_SHFT                                            0xa
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_RD_FIFO_BMSK                                           0x200
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_RD_FIFO_SHFT                                             0x9
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_DATA_FIFO_BMSK                                      0x100
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_DATA_FIFO_SHFT                                        0x8
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_ADDR_FIFO_BMSK                                       0x80
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_ADDR_FIFO_SHFT                                        0x7
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_RD_AXI_MAS_BMSK                                         0x40
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_RD_AXI_MAS_SHFT                                          0x6
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_DATA_AXI_MAS_BMSK                                    0x20
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_DATA_AXI_MAS_SHFT                                     0x5
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_ADDR_AXI_MAS_BMSK                                    0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_ADDR_AXI_MAS_SHFT                                     0x4
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_DATA_CMD_BMSK                                         0x8
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_DATA_CMD_SHFT                                         0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_ADDR_CMD_BMSK                                         0x4
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_WR_ADDR_CMD_SHFT                                         0x2
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_RD_CMD_BMSK                                              0x2
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_RD_CMD_SHFT                                              0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_CORE_BMSK                                                0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLOCK_GATE_DISABLE_CORE_SHFT                                                0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_ADDR                                                    (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000014)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_RMSK                                                     0x1010101
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_POR                                                     0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_POR_RMSK                                                0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_ATTR                                                           0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_GXI_WR_LAST_ERR_INT_BMSK                                 0x1000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_GXI_WR_LAST_ERR_INT_SHFT                                      0x18
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_GXI_AXI_WR_ERR_INT_BMSK                                    0x10000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_GXI_AXI_WR_ERR_INT_SHFT                                       0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_GXI_AXI_RD_ERR_INT_BMSK                                      0x100
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_GXI_AXI_RD_ERR_INT_SHFT                                        0x8
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_GXI_WDTIMEOUT_INT_BMSK                                         0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_INTS_GXI_WDTIMEOUT_INT_SHFT                                         0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_ADDR                                                   (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000018)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_RMSK                                                     0x3f3f3f
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_POR                                                    0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_POR_RMSK                                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_ATTR                                                          0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_AXI_WR_LAST_ERR_PORT_BMSK                                0x3f0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_AXI_WR_LAST_ERR_PORT_SHFT                                    0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_AXI_WR_ERR_PORT_BMSK                                       0x3f00
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_AXI_WR_ERR_PORT_SHFT                                          0x8
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_AXI_RD_ERR_PORT_BMSK                                         0x3f
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_ERR_STATS_AXI_RD_ERR_PORT_SHFT                                          0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_ADDR                                             (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000001c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_RMSK                                             0xffff3f3f
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_POR                                              0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_POR_RMSK                                         0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_ATTR                                                    0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_GXI_DEFAULT_MAX_PENDING_READ_DATA_BMSK           0xff000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_GXI_DEFAULT_MAX_PENDING_READ_DATA_SHFT                 0x18
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_GXI_DEFAULT_MAX_PENDING_WRITE_DATA_BMSK            0xff0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_GXI_DEFAULT_MAX_PENDING_WRITE_DATA_SHFT                0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_GXI_DEFAULT_MAX_PENDING_READS_BMSK                   0x3f00
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_GXI_DEFAULT_MAX_PENDING_READS_SHFT                      0x8
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_GXI_DEFAULT_MAX_PENDING_WRITES_BMSK                    0x3f
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_DEFAULT_CONTROL_GXI_DEFAULT_MAX_PENDING_WRITES_SHFT                     0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_ADDR                                             (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000020)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_RMSK                                             0xffff3f3f
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_POR                                              0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_POR_RMSK                                         0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_ATTR                                                    0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_GXI_REDUCED_MAX_PENDING_READ_DATA_BMSK           0xff000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_GXI_REDUCED_MAX_PENDING_READ_DATA_SHFT                 0x18
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_GXI_REDUCED_MAX_PENDING_WRITE_DATA_BMSK            0xff0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_GXI_REDUCED_MAX_PENDING_WRITE_DATA_SHFT                0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_GXI_REDUCED_MAX_PENDING_READS_BMSK                   0x3f00
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_GXI_REDUCED_MAX_PENDING_READS_SHFT                      0x8
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_GXI_REDUCED_MAX_PENDING_WRITES_BMSK                    0x3f
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_REDUCED_CONTROL_GXI_REDUCED_MAX_PENDING_WRITES_SHFT                     0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_ADDR                                                (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000024)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_RMSK                                                 0xfffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_POR                                                 0x00240000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_POR_RMSK                                            0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_ATTR                                                       0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_DELAYED_RD_FLUSH_BMSK                            0x8000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_DELAYED_RD_FLUSH_SHFT                                 0x1b
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_DELAYED_WR_FLUSH_BMSK                            0x4000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_DELAYED_WR_FLUSH_SHFT                                 0x1a
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_DISABLE_WR_PREFIL_BMSK                           0x2000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_DISABLE_WR_PREFIL_SHFT                                0x19
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_MAX_WR_BOUNDARY_SPLIT_BMSK                       0x1000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_MAX_WR_BOUNDARY_SPLIT_SHFT                            0x18
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_MAX_RD_BOUNDARY_SPLIT_BMSK                        0x800000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_MAX_RD_BOUNDARY_SPLIT_SHFT                            0x17
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_WRITE_BURST_SIZE_BMSK                             0x700000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_WRITE_BURST_SIZE_SHFT                                 0x14
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_READ_BURST_SIZE_BMSK                               0xe0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_READ_BURST_SIZE_SHFT                                  0x11
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_READ_ISSUE_THRESHOLD_BMSK                          0x1fe00
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_READ_ISSUE_THRESHOLD_SHFT                              0x9
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_WRITE_PREFETCH_THRESHOLD_BMSK                        0x1fe
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_WRITE_PREFETCH_THRESHOLD_SHFT                          0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_CLEAR_STATS_BMSK                                       0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_MISC_CONTROL_GXI_CLEAR_STATS_SHFT                                       0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_ADDR                                                (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000028)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_RMSK                                                0xffff0001
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_POR                                                 0x00ff0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_POR_RMSK                                            0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_ATTR                                                       0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_GXI_WDOG_LIMIT_BMSK                                 0xffff0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_GXI_WDOG_LIMIT_SHFT                                       0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_GXI_WDOG_DISABLE_BMSK                                      0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_CONTROL_GXI_WDOG_DISABLE_SHFT                                      0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_ADDR                                                 (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000002c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_RMSK                                                     0xffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_POR                                                  0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_POR_RMSK                                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_ATTR                                                        0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_GXI_WDOG_STATUS_BMSK                                     0xffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WDOG_STATUS_GXI_WDOG_STATUS_SHFT                                        0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_ADDR                                               (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000030)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_RMSK                                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_POR                                                0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_POR_RMSK                                           0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_ATTR                                                      0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_GXI_READ_IDLE_CNT_BMSK                             0xffff0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_GXI_READ_IDLE_CNT_SHFT                                   0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_GXI_WRITE_IDLE_CNT_BMSK                                0xffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_IDLE_COUNTERS_GXI_WRITE_IDLE_CNT_SHFT                                   0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_ADDR                                             (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000034)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_RMSK                                                0xfffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_POR                                              0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_POR_RMSK                                         0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_ATTR                                                    0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_AXI_LATENCY_RANGE_BMSK                              0xe0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_AXI_LATENCY_RANGE_SHFT                                 0x11
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_AXI_LATENCY_EN_BMSK                                 0x10000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_AXI_LATENCY_EN_SHFT                                    0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_AXI_LATENCY_MIN_BMSK                                 0xffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_LATENCY_CTRL_AXI_LATENCY_MIN_SHFT                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_ADDR                                             (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000038)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_RMSK                                                0xfffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_POR                                              0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_POR_RMSK                                         0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_ATTR                                                    0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_AXI_LATENCY_RANGE_BMSK                              0xe0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_AXI_LATENCY_RANGE_SHFT                                 0x11
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_AXI_LATENCY_EN_BMSK                                 0x10000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_AXI_LATENCY_EN_SHFT                                    0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_AXI_LATENCY_MIN_BMSK                                 0xffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_LATENCY_CTRL_AXI_LATENCY_MIN_SHFT                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_ADDR                                   (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000003c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_RMSK                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_POR                                    0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_POR_RMSK                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_ATTR                                          0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_VALUE_BMSK                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_0_VALUE_SHFT                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_ADDR                                   (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000040)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_RMSK                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_POR                                    0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_POR_RMSK                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_ATTR                                          0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_VALUE_BMSK                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_WR_ERR_STALL_DISABLE_IX_1_VALUE_SHFT                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_ADDR                                   (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000044)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_RMSK                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_POR                                    0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_POR_RMSK                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_ATTR                                          0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_VALUE_BMSK                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_0_VALUE_SHFT                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_ADDR                                   (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000048)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_RMSK                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_POR                                    0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_POR_RMSK                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_ATTR                                          0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_VALUE_BMSK                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_GXI_RD_ERR_STALL_DISABLE_IX_1_VALUE_SHFT                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_ADDR                                                       (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000004c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_RMSK                                                        0x1ffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_POR                                                        0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_POR_RMSK                                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_ATTR                                                              0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_MISC_IE_BMSK                                                0x1000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_MISC_IE_SHFT                                                     0x18
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_DST_RING_IE_BMSK                                             0xfff000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_DST_RING_IE_SHFT                                                  0xc
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_SRC_RING_IE_BMSK                                                0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_0_SRC_RING_IE_SHFT                                                  0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_ADDR                                                       (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000050)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_RMSK                                                            0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_POR                                                        0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_POR_RMSK                                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_ATTR                                                              0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_STS_RING_IE_BMSK                                                0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_HOST_IE_1_STS_RING_IE_SHFT                                                  0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_ADDR                                                        (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000054)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_RMSK                                                          0xffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_POR                                                         0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_POR_RMSK                                                    0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_ATTR                                                               0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_DEST_BMSK                                                     0xfff000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_DEST_SHFT                                                          0xc
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_SRC_BMSK                                                         0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_SECURITY_SRC_SHFT                                                           0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000058)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_RMSK                                                      0x1ffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_POR                                                      0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_ATTR                                                            0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_MISC_IE_BMSK                                              0x1000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_MISC_IE_SHFT                                                   0x18
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_DST_RING_IE_BMSK                                           0xfff000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_DST_RING_IE_SHFT                                                0xc
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_SRC_RING_IE_BMSK                                              0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_0_SRC_RING_IE_SHFT                                                0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000005c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_RMSK                                                          0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_POR                                                      0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_ATTR                                                            0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_STS_RING_IE_BMSK                                              0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TARGET_IE_1_STS_RING_IE_SHFT                                                0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_ADDR                                            (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000060)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_RMSK                                            0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_POR                                             0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_POR_RMSK                                        0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_ATTR                                                   0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_SEED_0_BMSK                                     0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_0_SEED_0_SHFT                                            0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_ADDR                                            (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000064)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_RMSK                                            0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_POR                                             0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_POR_RMSK                                        0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_ATTR                                                   0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_SEED_1_BMSK                                     0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_1_SEED_1_SHFT                                            0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_ADDR                                            (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000068)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_RMSK                                                   0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_POR                                             0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_POR_RMSK                                        0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_ATTR                                                   0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_SEED_2_BMSK                                            0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_LFSR_SEED_2_SEED_2_SHFT                                            0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_ADDR                                                 (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000006c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_POR                                                  0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_POR_RMSK                                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_ATTR                                                        0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_POLY_0_BMSK                                          0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_0_POLY_0_SHFT                                                 0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_ADDR                                                 (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000070)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_POR                                                  0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_POR_RMSK                                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_ATTR                                                        0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_POLY_1_BMSK                                          0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_1_POLY_1_SHFT                                                 0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_ADDR                                                 (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000074)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_RMSK                                                        0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_POR                                                  0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_POR_RMSK                                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_ATTR                                                        0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_POLY_2_BMSK                                                 0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_TOEPLITZ_POLY_2_POLY_2_SHFT                                                 0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000078)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_RMSK                                                     0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_POR                                                      0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_ATTR                                                            0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_VALUE_BMSK                                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_0_VALUE_SHFT                                                      0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000007c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_RMSK                                                     0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_POR                                                      0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_ATTR                                                            0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_VALUE_BMSK                                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_1_VALUE_SHFT                                                      0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000080)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_RMSK                                                     0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_POR                                                      0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_ATTR                                                            0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_VALUE_BMSK                                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_2_VALUE_SHFT                                                      0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000084)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_RMSK                                                     0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_POR                                                      0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_ATTR                                                            0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_VALUE_BMSK                                               0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_DEBUG_DMA_3_VALUE_SHFT                                                      0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_ADDR                                                  (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000088)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_RMSK                                                  0xfffdffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_POR                                                   0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_POR_RMSK                                              0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_ATTR                                                         0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_CLK_EXTEND_BMSK                                       0x80000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_CLK_EXTEND_SHFT                                             0x1f
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_WRAPPER_REG_CLK_BMSK                                  0x40000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_WRAPPER_REG_CLK_SHFT                                        0x1e
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_CSM_REG_CLK_BMSK                                      0x3ffc0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_CSM_REG_CLK_SHFT                                            0x12
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_IC_CLK_BMSK                                              0x10000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_IC_CLK_SHFT                                                 0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_DMA_CLK_BMSK                                              0xf000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_DMA_CLK_SHFT                                                 0xc
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_CSM_CORE_CLK_BMSK                                          0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_0_CSM_CORE_CLK_SHFT                                            0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_ADDR                                                  (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000008c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_RMSK                                                    0xffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_POR                                                   0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_POR_RMSK                                              0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_ATTR                                                         0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_DST_SRNG_CLK_BMSK                                       0xfff000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_DST_SRNG_CLK_SHFT                                            0xc
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_SRC_SRNG_CLK_BMSK                                          0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_1_SRC_SRNG_CLK_SHFT                                            0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_ADDR                                                  (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000090)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_RMSK                                                      0x1fff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_POR                                                   0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_POR_RMSK                                              0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_ATTR                                                         0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_TZ_CLK_BMSK                                               0x1000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_TZ_CLK_SHFT                                                  0xc
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_STS_SRNG_CLK_BMSK                                          0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_CLK_GATE_DIS_2_STS_SRNG_CLK_SHFT                                            0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000094)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_RMSK                                                          0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_POR                                                      0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_ATTR                                                            0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_IDLE_CFG_BMSK                                                 0xfff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_IDLE_CONFIG_IDLE_CFG_SHFT                                                   0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_ADDR                                            (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000098)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_RMSK                                            0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_POR                                             0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_POR_RMSK                                        0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_ATTR                                                   0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_VALUE_BMSK                                      0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_INVALID_APB_ACC_ADDR_VALUE_SHFT                                             0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_ADDR                                                 (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000009c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_POR                                                  0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_POR_RMSK                                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_ATTR                                                        0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_VAL_BMSK                                             0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R0_CE_S_PARE_REGISTER_VAL_SHFT                                                    0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_ADDR                                                       (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000400)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_RMSK                                                          0x100ff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_POR                                                        0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_POR_RMSK                                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_ATTR                                                              0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_HW_ERROR_INTERRUPT_TESTBUS_OVERWRITE_BMSK                     0x10000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_HW_ERROR_INTERRUPT_TESTBUS_OVERWRITE_SHFT                        0x10
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_GXI_TESTBUS_SELECT_BMSK                                          0xff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_CTRL_GXI_TESTBUS_SELECT_SHFT                                           0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000404)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_RMSK                                                     0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_POR                                                      0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_ATTR                                                            0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_MASK_BMSK                                                0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_0_MASK_SHFT                                                       0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_ADDR                                                     (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000408)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_RMSK                                                     0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_POR                                                      0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_POR_RMSK                                                 0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_ATTR                                                            0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_MASK_BMSK                                                0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_EVENTMASK_IX_1_MASK_SHFT                                                       0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_ADDR                                                        (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x0000040c)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_RMSK                                                        0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_POR                                                         0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_POR_RMSK                                                    0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_ATTR                                                               0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_VAL_BMSK                                                    0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_LOW_VAL_SHFT                                                           0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_ADDR                                                       (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000410)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_RMSK                                                             0xff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_POR                                                        0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_POR_RMSK                                                   0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_ATTR                                                              0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_VAL_BMSK                                                         0xff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_TESTBUS_HIGH_VAL_SHFT                                                          0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDR                                          (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000414)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_RMSK                                          0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_POR                                           0x7ffe0002
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_POR_RMSK                                      0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ATTR                                                 0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDRESS_RANGE_END_BMSK                        0xfffe0000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDRESS_RANGE_END_SHFT                              0x11
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDRESS_RANGE_START_BMSK                         0x1fffc
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_ADDRESS_RANGE_START_SHFT                             0x2
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_WRITE_ACCESS_REPORT_ENABLE_BMSK                      0x2
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_WRITE_ACCESS_REPORT_ENABLE_SHFT                      0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_READ_ACCESS_REPORT_ENABLE_BMSK                       0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_REG_ACCESS_EVENT_GEN_CTRL_READ_ACCESS_REPORT_ENABLE_SHFT                       0x0

#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_ADDR                                                  (CE_CE_COMMON_WFSS_CE_COMMON_REG_REG_BASE      + 0x00000418)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_RMSK                                                         0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_POR                                                   0x00000000
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_POR_RMSK                                              0xffffffff
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_ATTR                                                         0x3
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_IN          \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_ADDR, HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_RMSK)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_INM(m)      \
        in_dword_masked(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_ADDR, m)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_OUT(v)      \
        out_dword(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_ADDR,v)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_OUTM(m,v) \
        out_dword_masked_ns(HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_ADDR,m,v,HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_IN)
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_END_OF_TEST_SELF_CHECK_BMSK                                  0x1
#define HWIO_CE_CE_COMMON_WFSS_CE_COMMON_R1_END_OF_TEST_CHECK_END_OF_TEST_SELF_CHECK_SHFT                                  0x0

#endif /* __MSMHWIOREG_H__ */
